ClawOps Docs
API Reference

대표번호 발급

POST
/v1/accounts/{accountId}/representative-numbers

대표번호 풀에서 전화번호를 발급합니다. representative_number 부가서비스가 활성화된 계정에서만 발급할 수 있습니다. 법인 계정은 법인 인증(business_snapshot)이 완료되어 있어야 합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/accounts/AC1a2b3c4d/representative-numbers"
{
  "number": "07012340001",
  "source": "pool",
  "webhookUrl": "https://my-app.com/voice",
  "webhookMethod": "POST",
  "routingType": "webhook",
  "sipEndpointId": null,
  "sipCredentialId": null,
  "forwardTo": null,
  "webhookHeaders": {
    "X-Webhook-Token": "tenant-secret-abc123"
  },
  "statusCallback": "https://my-app.com/call-status",
  "statusCallbackEvents": "ringing answered completed",
  "numberType": "did",
  "dictionaryId": null,
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}